import React, { Component } from 'react';

import axios from 'axios';
import { Spin } from 'antd';

import { TPMIndexHOC } from '../../../tpm/TPMIndexHOC';

import { SnackbarHOC,getImageUrl } from 'educoder'

import { Pagination,Upload,Modal,Checkbox } from 'antd';

import EcTitleCourseEvaluations from '../../ecTitle/ecTitle'

import 'antd/dist/antd.css';

import './ecStudentList.css';

const $ = window.$;

class EcStudentList extends Component {
    constructor(props) {
        super(props)
        this.state={
            majorschoollist:undefined,
            titlemessage:"提示",
            // ecComponentState:"ecStudentList",
            visible:false,
            Modallist:'',
            Modallisttypes:0,
            studentall:false,
            student_id:undefined,
            Modallisttypess:0,
            ismanager:false,
            isSpin:false
        }
    }
    componentDidMount(){
        window.document.title = '学生列表';
        let major_id=this.props.match.params.major_id;
        let year_id=this.props.match.params.year_id;

        // const url ='/ec_major_schools/'+major_id+'/academic_years/'+year_id+'/student_lists_data';
        //     axios.get(url, {
        //         withCredentials: true,
        //     }).then((response) => {
        //         if(response.status===200){
        //           this.setState({
        //               majorschoollist:response.data,
        //               ismanager:response.data.ismanager,
        //           })
        //         }
        //     })
        //     .catch(function (error) {
        //         console.log(error);
        //     });
            // let  majorschoollist={
            //         ec_students: [{index: 1, student_name: "同意", student_id: "s20111458"},
            //                         {index: 1, student_name: "同意", student_id: "s20111458"},
            //                         {index: 2, student_name: "涛哥", student_id: "2011554f4"},
            //                         {index: 3, student_name: "例如", student_id: "20154787b"},
            //                         {index: 4, student_name: "问问", student_id: "201548580014"},
            //                         {index: 5, student_name: "嗯嗯", student_id: "2015748912321234"},
            //                         {index: 6, student_name: "让人", student_id: "20157456"},
            //                         {index: 7, student_name: "方法", student_id: "20159658"},
            //                         {index: 8, student_name: "全球", student_id: "20159632"},
            //                         {index: 9, student_name: "是说", student_id: "20154512"},
            //                         {index: 10, student_name: "谷歌", student_id: "20157932"},
            //                         {index: 11, student_name: "版本", student_id: "20159635"},
            //                         {index: 12, student_name: "捏捏", student_id: "20153451"},
            //                         ],
            //         import_url: "/ec_major_schools/3/academic_years/10/import_students",
            //         show_name: true,
            //         template_url: "/attachments/download/227528/01_学生列表导入模板.xls",
            //         total_page: 1
            //     }
            // this.setState({
            //     majorschoollist:majorschoollist
            // })
    }
    uploadcomponentDidMount(){
        let major_id=this.props.match.params.major_id;
        let year_id=this.props.match.params.year_id;
        const url ='/ec_major_schools/'+major_id+'/academic_years/'+year_id+'/student_lists_data';
        axios.get(url, {
            withCredentials: true,
        }).then((response) => {
            if(response.status===200){
              this.setState({
                  majorschoollist:response.data,
                  ismanager:response.data.ismanager,
              })
            }
        })
        .catch(function (error) {
            console.log(error);
        });
    }
        

    windowsgoblack=()=>{
        window.history.go(-1)
    }


    uploadfile=(file)=>{
        this.setState({isSpin:true})
        let {majorschoollist}=this.state;
        let Url =majorschoollist.import_url;
        const form = new FormData();
        form.append('file', file.file);
        axios.post(Url,form
        ).then((response) => {
            if(response.data.status===1){
                // message.success('已成功导入'+response.data.count+"条数据！");
                this.setState({
                    // titlemessage: response.data.message+"(支撑关系变更)",
                    Modallist: '已成功导入'+response.data.count+"条数据！",
                    Modallisttype:true,
                    Modallisttypes:1,
                    isSpin:false
                })
            }else if(response.data.status===0){
                // message.warning(response.data.message);
                this.setState({
                    // titlemessage: response.data.message+"(支撑关系变更)",
                    Modallist:response.data.message,
                    Modallisttype:true,
                    Modallisttypes:0,
                    isSpin:false
                })
            }
        }).catch((error) => {
            console.log(error)
        })
    }
    hidemodeldelete=()=>{
        let {Modallisttypes}=this.state;
        this.setState({
            Modallisttype:false,
            Modallist:'',
            Modallisttypess:0
        })
        if(Modallisttypes===1){
            // window.location.reload();
            this.uploadcomponentDidMount();
        }
    }

    showecStudentList=(page)=>{
        let major_id=this.props.match.params.major_id;
        let year_id=this.props.match.params.year_id;
        const url ='/ec_major_schools/'+major_id+'/academic_years/'+year_id+'/student_lists_data?page='+page;
        axios.get(url, {
            withCredentials: true,
        }).then((response) => {
            if(response.status===200){
                this.setState({
                    majorschoollist:response.data,
                    ismanager:response.data.ismanager,
                })
            }
        }).catch(function (error) {
                console.log(error);
            });
    }

    onChangestudentall=(e)=>{
        let {majorschoollist}=this.state;
        let mewmajorschoollist=majorschoollist
        for(var i=0; i<mewmajorschoollist.ec_students.length; i++){
                mewmajorschoollist.ec_students[i].istrue=e.target.checked
        }
        this.setState({
            studentall:e.target.checked,
            majorschoollist:mewmajorschoollist
           })
    }

    onChangestudent=(e)=>{
        let {majorschoollist,studentall}=this.state;
        let mewmajorschoollist=majorschoollist;
        let newstudentall=studentall;
        if(e.target.checked===false){
            newstudentall=false
        }
        for(var i=0; i<mewmajorschoollist.ec_students.length; i++){
            if(i===e.target.index&&e.target.id===mewmajorschoollist.ec_students[i].student_id){
                mewmajorschoollist.ec_students[i].istrue=e.target.checked
            }
        }
       this.setState({
         student_id:e.target.id,
         majorschoollist:mewmajorschoollist,
         studentall:newstudentall
       })
    }

    deletelistbth=()=>{
        let {majorschoollist,studentall} =this.state;
        let studentalltype=0
        for(var i=0; i<majorschoollist.ec_students.length; i++){
            if(majorschoollist.ec_students[i].istrue===true){
                studentalltype=1
            }
        }
        if(studentall===true||studentalltype===1){
            this.setState({
                Modallist: '确定删除这些学生吗？',
                Modallisttype:true,
                Modallisttypess:1
            })    
        }else{
            this.setState({
                Modallist: '请选择学生！',
                Modallisttype:true
            })     
        }
    }
    deletelistbthenters=()=>{
        let {majorschoollist,studentall} =this.state;
        let major_id=this.props.match.params.major_id;
        let year_id=this.props.match.params.year_id;
        let newstudent_id=[];
        if(studentall===false){
            for(var i=0; i<majorschoollist.ec_students.length; i++){
                if(majorschoollist.ec_students[i].istrue===true){
                    newstudent_id.push(majorschoollist.ec_students[i].student_id)
                }
            }
        }
        let url ='/ec_major_schools/'+major_id+'/academic_years/'+year_id+'/destroy_students'
        axios.delete(url,{data:{
                all:studentall,
                student_ids:newstudent_id,
            }}).then((response) => {
            if(response.data.status===1){
               this.setState({
                    // Modallist: "删除成功！",
                    // Modallisttype:true,
                    Modallisttypes:1,
                    Modallisttypess:0
               })
               this.hidemodeldelete();
            }
        }).catch((error) => {
            console.log(error)
        })
    }

    render() {
        let {
            majorschoollist,
            Modallisttype,
            titlemessage,
            Modallist,
            studentall,
            student_id,
            Modallisttypess,
            ismanager
        }=this.state;
        // ec_students: []
        // import_url: "/ec_major_schools/:1/academic_years/:1/import_students"
        // template_url: "javascript:void(0);"
        // total_page: 0
        const uploadProps = {
            name: 'file',

            onPreview(file) {
                // dispatch({ type: `${nameSpace}/updateState`, payload: { uploadPreviewVisible: true, uploadPreviewImage: file.url || file.thumbUrl } });
            },
            onChange(file) {
                // dispatch({ type: `${nameSpace}/updateState`, payload: { fileList: fileList } });
            },
            onRemove(option) {
            },
            customRequest: file => {
                this.uploadfile(file)
            }
        }
        return (
           <div className="newMain clearfix">
                <Modal
                    title={titlemessage}
                    // visible={modeldelet===true&&listid===list.id?true:false}
                    visible={Modallisttype}
                    className={"ecmodeldelet"}
                    closable={false}
                    footer={null}
                >
                    <div className="task-popup-content">
                        <div className="task-popup-text-center font-14">{Modallist}</div>
                    </div>
                    <div className="task-popup-submit clearfix">
                        <a onClick={this.hidemodeldelete} className="task-btn fl">取消</a>
                        {
                            Modallisttypess===0?<a className="task-btn task-btn-orange fr"
                            onClick={this.hidemodeldelete}
                            >确定</a>:<a className="task-btn task-btn-orange fr"
                                onClick={this.deletelistbthenters}
                            >确定</a>
                        }

                    </div>
                </Modal>
                <div className="educontent mb290">
                   <div className="clearfix padding20-30 bor-bottom-greyE mb10 edu-back-white">
                        <span className="fl font-18 courseSystem ">学生列表</span>
                        <a className="fr font-15 courseSystem" onClick={this.windowsgoblack}>返回</a>
                    </div>

                    <div className="edu-back-white eacourse">

                        <div className="clearfix padding20-30 bor-bottom-greyE"><span
                            className=" font-18 courseSystem">学生列表（
                            {majorschoollist===undefined?"":majorschoollist.total_student}
                            ）</span>
                            <div className="color-grey-9 mr10">提供模板支持导入学生信息(请先下载模板)  <a className={"color-blue"} onClick={() => window.elasticLayer(3533)}>查看详情</a></div>
                        </div>

                        <div className="padding20-30 padbottom" id="training_objective_contents">
                        {ismanager===false?"":
                        <span className="mr30">请使用导入模板（<a href={majorschoollist===undefined?"":majorschoollist.template_url} className="color-green"><i className="iconfont icon-fujian mr5 color-green font-16"></i>点击下载</a>），将本学年所有参与的学生导入系统，以便录入教学活动相关数据</span>
                        }
                            <a className="white-btn edu-orangeback-btn fr mr10" >
                            {ismanager===false?"":<Upload
                                {...uploadProps}
                                showUploadList={false}
                                style={{color:'#fff'}}
                            >
                                导入 
                            </Upload>}
                            </a>
                        </div>

                        <div  id="training_objective_contents" className='deletelist' >
                            {ismanager===false?"":<div className="white-btn deletebth ml30 mr10" onClick={this.deletelistbth}>
                                删除
                            </div>}
                        </div>
                        <Spin spinning={this.state.isSpin}>
                            <div className="ListTableLine minH-560 edu-back-white mb80" id="listContent">
                            <p className="clearfix">
                                <span className="column-No column-2 relative">
                                <Checkbox 
                                    className={'mr20 changestudent'}
                                    checked={studentall===true?true:false}
                                    onChange={this.onChangestudentall}></Checkbox>
                                序号
                                </span>
                                <span className="column-2" style={{display:majorschoollist===undefined?"":majorschoollist.show_name===false?"none":'inline-block'}}>姓名</span>
                                <span className="column-2">学号</span>
                            </p>


                            <ul>
                                {
                                    majorschoollist===undefined?
                                    <div className="edu-txt-center color-grey-9 pt50">
                                        <p className="mb20"><img className="edu-nodata-img mb20" src={getImageUrl("images/educoder/nodata.png")} /></p>
                                        <p>学生数据为空，请导入数据</p>
                                    </div>
                                    :majorschoollist.ec_students.length===0?
                                    <div className="edu-txt-center color-grey-9 pt50">
                                        <p className="mb20"><img className="edu-nodata-img mb20" src={getImageUrl("images/educoder/nodata.png")}/></p>
                                        <p>学生数据为空，请导入数据</p>
                                    </div>:majorschoollist.ec_students.map((item,key)=>{
                                        // console.log(item)
                                            return(
                                                <li className="clearfix" key={key}>
                                                    <span className="column-No column-2 relative">
                                                    <Checkbox 
                                                    className={'mr20 changestudents'}
                                                    checked={item.istrue===true?true:false}
                                                    key={key}
                                                    index={key}
                                                    onChange={this.onChangestudent} id={item.student_id}></Checkbox>
                                                    {item.index}
                                                    </span>
                                                    <span className="column-2"  style={{display:majorschoollist===undefined?"none":majorschoollist.show_name===false?"none":'inline-block'}}>{item.student_name}</span>
                                                    <span className="column-2">{item.student_id}</span>
                                                </li>
                                            )
                                    })
                                }

                            </ul>

                            <div style={{width:'100%',position: 'relative'}}>
                            {
                                majorschoollist===undefined?"":majorschoollist.total_page===0||majorschoollist.total_student<51?"": <Pagination size="small" className={"pagelistStudentList mt30"} pageSize={50} showQuickJumper defaultCurrent={1} total={majorschoollist.total_student} onChange={this.showecStudentList} />
                            }     
                            </div>
                        </div>
                        </Spin>    
                    </div>
                </div>

            </div>

        )

    }
}

export default SnackbarHOC() (EcStudentList);